/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef MVQMETHODS_H
#define MVQMETHODS_H

#include <QPixmap>
#include <QSettings>
#include <QString>

class QAction;
class QButtonGroup;
class QComboBox;
class QStackedWidget;
class QTabWidget;
class QTreeView;

namespace  MvQ {
   void initComboBox(QSettings&,QString key,QComboBox* cb);
   void initTabId(QSettings& settings,QString key,QTabWidget *tab);
   void saveTabId(QSettings& settings,QString key,QTabWidget *tab);
   void initTreeColumnWidth(QSettings& settings,QString key,QTreeView *tree);
   void saveTreeColumnWidth(QSettings& settings,QString key,QTreeView *tree);
   void initStacked(QSettings& settings,QString key,QStackedWidget *stacked);
   void initButtonGroup(QSettings& settings,QString key,QButtonGroup *bg);
   void initCheckableAction(QSettings& settings,QString key,QAction *ac);
   void showTabLabel(QTabWidget *tab,int index,QPixmap pix);
   void hideTabLabel(QTabWidget *tab,int index);
}

#endif // MVQMETHODS_H

